Bug 904273 - [abrt] libreoffice-core-3.6.3.2-8.fc18: atomic_exchange_and_add: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-3.6.3.2-8.fc18: atomic_exchange_and_add: Process /usr...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:8488cc1c9c722e73da092b9579c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-25 17:37 EST by randyhunt1981
Modified: 2013-02-28 07:59 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-28 07:59:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (54.63 KB, text/plain)
2013-01-25 17:37 EST, randyhunt1981
no flags Details
File: cgroup (128 bytes, text/plain)
2013-01-25 17:37 EST, randyhunt1981
no flags Details
File: core_backtrace (4.65 KB, text/plain)
2013-01-25 17:37 EST, randyhunt1981
no flags Details
File: dso_list (23.63 KB, text/plain)
2013-01-25 17:37 EST, randyhunt1981
no flags Details
File: environ (2.27 KB, text/plain)
2013-01-25 17:37 EST, randyhunt1981
no flags Details
File: limits (1.29 KB, text/plain)
2013-01-25 17:37 EST, randyhunt1981
no flags Details
File: maps (113.95 KB, text/plain)
2013-01-25 17:37 EST, randyhunt1981
no flags Details
File: open_fds (581 bytes, text/plain)
2013-01-25 17:37 EST, randyhunt1981
no flags Details
File: proc_pid_status (946 bytes, text/plain)
2013-01-25 17:37 EST, randyhunt1981
no flags Details
File: smolt_data (6.03 KB, text/plain)
2013-01-25 17:37 EST, randyhunt1981
no flags Details
File: var_log_messages (339 bytes, text/plain)
2013-01-25 17:37 EST, randyhunt1981
no flags Details

  None (edit)
Description randyhunt1981 2013-01-25 17:37:10 EST
Description of problem:
I applied different masters over and over to see the differences, eventually, the system crashed.

Version-Release number of selected component:
libreoffice-core-3.6.3.2-8.fc18

Additional info:
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --impress /home/rhunt/Documents/git4sysadmin.odp --splash-pipe=6
crash_function: atomic_exchange_and_add
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.7.2-204.fc18.x86_64
remote_result:  NOTFOUND
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 atomic_exchange_and_add at /usr/include/boost/smart_ptr/detail/sp_counted_base_gcc_x86.hpp:50
 #1 release at /usr/include/boost/smart_ptr/detail/sp_counted_base_gcc_x86.hpp:143
 #2 ~shared_count at /usr/include/boost/smart_ptr/detail/shared_count.hpp:305
 #3 ~shared_ptr at /usr/include/boost/smart_ptr/shared_ptr.hpp:164
 #4 operator= at /usr/include/boost/smart_ptr/shared_ptr.hpp:311
 #5 ServerFont::SetFontOptions at /usr/src/debug/libreoffice-3.6.3.2/vcl/generic/glyphs/gcach_ftyp.cxx:858
 #6 ImplServerFontEntry::HandleFontOptions at /usr/src/debug/libreoffice-3.6.3.2/vcl/unx/generic/gdi/salgdi3.cxx:232
 #7 X11SalGraphics::setFont at /usr/src/debug/libreoffice-3.6.3.2/vcl/unx/generic/gdi/salgdi3.cxx:209
 #8 X11SalGraphics::SetFont at /usr/src/debug/libreoffice-3.6.3.2/vcl/unx/generic/gdi/salgdi3.cxx:517
 #9 OutputDevice::ImplInitFont at /usr/src/debug/libreoffice-3.6.3.2/vcl/source/gdi/outdev3.cxx:3082
Comment 1 randyhunt1981 2013-01-25 17:37:12 EST
Created attachment 687725 [details]
File: backtrace
Comment 2 randyhunt1981 2013-01-25 17:37:14 EST
Created attachment 687726 [details]
File: cgroup
Comment 3 randyhunt1981 2013-01-25 17:37:15 EST
Created attachment 687727 [details]
File: core_backtrace
Comment 4 randyhunt1981 2013-01-25 17:37:17 EST
Created attachment 687728 [details]
File: dso_list
Comment 5 randyhunt1981 2013-01-25 17:37:19 EST
Created attachment 687729 [details]
File: environ
Comment 6 randyhunt1981 2013-01-25 17:37:20 EST
Created attachment 687730 [details]
File: limits
Comment 7 randyhunt1981 2013-01-25 17:37:21 EST
Created attachment 687731 [details]
File: maps
Comment 8 randyhunt1981 2013-01-25 17:37:23 EST
Created attachment 687732 [details]
File: open_fds
Comment 9 randyhunt1981 2013-01-25 17:37:24 EST
Created attachment 687733 [details]
File: proc_pid_status
Comment 10 randyhunt1981 2013-01-25 17:37:26 EST
Created attachment 687734 [details]
File: smolt_data
Comment 11 randyhunt1981 2013-01-25 17:37:27 EST
Created attachment 687735 [details]
File: var_log_messages
Comment 12 David Tardon 2013-01-30 05:31:06 EST
Is the crash reproducible somehow? Which was the last master page you tried?

Note You need to log in before you can comment on or make changes to this bug.